<form class="input-group" ng-submit="vm.buscar()">
  <input type="text" class="form-control with-warning-addon" placeholder="Producto" aria-describedby="basic-addon2" ng-model="vm.busqueda.nombre">
  <span class="input-group-addon input-group-addon-primary addon-right searchable" id="basic-addon2">Buscar</span>
</form>

<button type="button" class="btn btn-primary btn-with-icon" ng-click="vm.addNewCategory(true)"><i class="fa fa-plus"></i>Registrar Categoria</button>

<spinner ng-show="vm.isLoading"></spinner>

<div class="row category-list">
  <div class="col-xs-12 col-sm-6 col-md-4 category-item" ng-repeat="category in vm.categoryList">
    <div class="panel panel-default bootstrap-panel">
      <div class="panel-heading category">
        <img src="{{ category.cImagen }}" alt="Categoria" style="float: left;">
        <div style="float: left; width: calc(100% - 120px); line-height: 18px;">{{ category.cNombre }}</div>
        <div class="buttons category" style="display: flex;">
          <button class="status-button btn btn-xs btn-primary category" ng-click="vm.addNewCategory(false, category)"><i class="fa fa-plus"></i></button>        
          <button class="status-button btn btn-xs btn-info category" ng-click="vm.editCategory(true, null, category)"><i class="ion-edit"></i></button>
          <button ng-if="vm.allowDelete" class="status-button btn btn-xs btn-danger category" ng-click="vm.deleteCategory(true, category)"><i class="fa fa-trash-o"></i></button>
        </div>
      </div>
      <div class="panel-body">
        <div class="horizontal-scroll">
          <table class="table table-condensed">
            <tbody>
              <tr ng-repeat="item in category.subcategories">
                <td style="text-align: left; line-height: 20px;">{{ item.cNombre }}</td>
                <td>{{ item.qtyProductos }}</td>
                <td>
                  <button style="width: 70px;" class="status-button btn btn-xs btn-default" ng-click="vm.goToProducts(item)">Productos</button>
                </td>
                <td>
                  <button class="status-button btn btn-xs btn-info category" ng-click="vm.editCategory(false, category, item)"><i class="ion-edit"></i></button>
                </td>
                <td ng-if="vm.allowDelete">
                  <button class="status-button btn btn-xs btn-danger category" ng-click="vm.deleteCategory(false, item)"><i class="fa fa-trash-o"></i></button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
